<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	  xmlns:ui="http://java.sun.com/jsf/facelets"
	  xmlns:h="http://java.sun.com/jsf/html"
	  xmlns:f="http://java.sun.com/jsf/core">

<ui:composition template="/WEB-INF/templates/BasicTemplate.xhtml">
	<ui:define name="content">
		<h:form>
			<h:outputLabel value="Transfer Information:"/>
			<br/>
			<!--@elvariable id="transferBean" type="ch.hevs.managedbeans.TransferBean"-->
			<h:panelGrid columns="2">
				<h:outputLabel value="source: "/>
				<h:selectOneMenu value="#{transferBean.sourceClientName}">
					<f:selectItems value="#{transferBean.clientNameList}"/>
				</h:selectOneMenu>

				<h:outputLabel value="destination: "/>
				<h:selectOneMenu value="#{transferBean.destinationClientName}">
					<f:selectItems value="#{transferBean.clientNameList}"/>
				</h:selectOneMenu>


				<h:outputText value="amount"/>
				<h:inputText value="#{transferBean.transactionAmount}" maxlength="6"/>
			</h:panelGrid>
			<h:commandButton value="transfer" action="#{transferBean.performTransfer}"/>
		</h:form>
	</ui:define>
</ui:composition>
</html>